Update Batch Session
curl --request PATCH \
--url https://api.anchorbrowser.io/v1/batch-sessions/{batch_id} \
--header 'Content-Type: application/json' \
--header 'anchor-api-key: <api-key>' \
--data '
{
"status": "cancelled"
}
'import requests
url = "https://api.anchorbrowser.io/v1/batch-sessions/{batch_id}"
payload = { "status": "cancelled" }
headers = {
"anchor-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'anchor-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'cancelled'})
};
fetch('https://api.anchorbrowser.io/v1/batch-sessions/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "cancelled",
"cancelled_sessions": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}{
"error": {
"code": 123,
"message": "<string>"
}
}Batch Sessions
Update Batch Session
Updates a batch session. Supports cancelling a running or pending batch, which terminates all running sessions in the batch.
PATCH
/
v1
/
batch-sessions
/
{batch_id}
Update Batch Session
Authorizations
API key passed in the header
Path Parameters
The unique identifier of the batch
Body
application/json
Target status for the batch
Available options:
cancelled Response
Batch updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I

